#
# spec file for package elx-lpfc version 10.2.469.0
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#
# needssslcertforbuild

%define kernelversion %(rpm -q --qf "%%{version}-%%{release}" kernel-source)

Name:         elx-lpfc
BuildRequires: %kernel_module_package_buildreqs
License:      GPL-2.0
Group:        System/Kernel
Summary:      Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs
Version:      10.2.469.0
Release:      2.1
Source0:      lpfcdriver-3-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
Emulex lpfc Linux kernel driver module for
Fibre Channel HBAs and Universal CNAs


%package      KMP
Summary:      Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs
Group:        System/Kernel

%description KMP
Emulex lpfc Linux kernel driver module for
Fibre Channel HBAs and Universal CNAs

%prep
%setup -n lpfcdriver-3-%{version}

set -- *
mkdir source
mv "$@" source/
echo "lpfc external" >  source/Module.supported
mkdir obj

%build

export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m \
        KERNELVERSION="%{kernelversion}-$flavor"
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor 
done

%clean
rm -rf %{buildroot}

%changelog
* Wed Nov 12 2014 sbahling@suse.com
- Initial package fo elx-lpfc-10.2.469.0 (bnc#904989)
